%define upstream_name    Net-OpenID-Common
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Support for the Simple Registration extension (SREG)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::DH::GMP) >= 0.0.110
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Parser) >= 3.400.0
BuildRequires: perl(HTTP::Headers::Util)
BuildRequires: perl(HTTP::Message) >= 5.814.0
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Local)
BuildRequires: perl(XML::Simple)
BuildArch:  noarch

%description
This module provides an implementation of the Yadis protocol, which does
XRDS-based service discovery on URLs.

This module was originally developed by OHTSUKA Ko-hei as the
Net::Yadis::Discovery manpage, but was forked and simplified for inclusion
in the core OpenID Consumer package.

This simplified version is tailored for the needs of Net::OpenID::Consumer;
for other uses, the Net::Yadis::Discovery manpage is probably a better
choice.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-2.mga6
+ Revision: 1031221
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.200.0-1.mga6
+ Revision: 1002260
- update to 1.20

* Thu Feb 18 2016 umeabot <umeabot> 1.190.0-2.mga6
+ Revision: 966076
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 sander85 <sander85> 1.190.0-1.mga6
+ Revision: 840126
- update to 1.19

* Wed Oct 15 2014 umeabot <umeabot> 1.180.0-4.mga5
+ Revision: 748853
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.180.0-3.mga5
+ Revision: 685696
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.180.0-2.mga4
+ Revision: 534108
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.180.0-1.mga4
+ Revision: 476287
- update to 1.18

* Fri Jun 07 2013 jquelin <jquelin> 1.170.0-1.mga4
+ Revision: 439641
- update to 1.17

* Sun Jan 13 2013 umeabot <umeabot> 1.140.0-2.mga3
+ Revision: 370756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 14 2011 jquelin <jquelin> 1.140.0-1.mga2
+ Revision: 167654
- update to 1.14

* Wed Nov 09 2011 jquelin <jquelin> 1.120.0-1.mga2
+ Revision: 165797
- imported package perl-Net-OpenID-Common


* Wed Nov 09 2011 cpan2dist 1.12-1mga
- initial mageia release, generated with cpan2dist
